Preface Introduction Topic index Glossary

# Module:WinCommand

AfterStep module for choosing and manipulating windows based on patterns

- ### SYNOPSIS

WinCommand [ standard options]

- ### CONFIGURATION OPTIONS :

- DESCRIPTION

WinCommand is a command line tool which allows you to select windows based on their name and to then manipulate them in various ways. Actions currently supported are: "center", "center jump", "iconify", "jump", "kill", "move", "resize" and "sendtodesk".

- DEFAULTS

The default pattern is "", meaning all windows will be selected.

All other default-values depend on the action you would like WinCommand to take. If more than one action is specified, default-values are set depending on the last action specified.

- ACTIONS

center

  Place matching windows into the center of the screen.

center jump:

  Places first window that matches into the center of the screen and jumps to it.

iconify:

  Iconifies matching windows.

jump:

  Jumps to the first window which matches.

kill:

  Kills all matching windows.

move:

  Moves all matching windows to x/y. x and y are specified using the -x and -y flags.

resize:

  Resize all matching windows. The two parameters width and height are specified using the -width and -height flags.

send_to_desk:

  Send all matching windows to desk specified with the -new_desk flag.

- OPTIONS

-all

  Operate on all windows which match the given pattern. This is set by default unless the action is either "jump" or "center jump".

-alldesks

  Windows on all desks will be taken into account. This is set by default if action is either "jump" or "center jump".

-desk

  Windows on the whole desk will be taken into account.

-x/-y

  These are required when issuing the move-command.

-width/-height

  These are required whenever you want to resize windows.

Examples

WinCommand -pattern term iconify

This command will iconify all terminals. Since the specified pattern is a regular expression, something like this also works:

WinCommand -pattern "(term)|(moz)" iconify

This will iconify all terminals and mozilla-browser windows.

WinCommand -pattern xmm jump

will jump to your xmms. In this situation, it's far more advisable to use GWCommand though.

It is probably not a good idea to delete windows while windows are being arranged.

Preface Introduction Topic index Glossary Back to Top

AfterStep version 2.2.12